A person's conversations counted by month, with where they stand
curl --request GET \
--url https://api.poddata.ai/v1/people/{id}/timeline \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poddata.ai/v1/people/{id}/timeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poddata.ai/v1/people/{id}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/people/{id}/timeline",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/people/{id}/timeline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.poddata.ai/v1/people/{id}/timeline")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/people/{id}/timeline")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"person": "<string>",
"by": "week",
"data": [
{
"period": "<string>",
"start": "2023-12-25",
"conversations": 123,
"standing": {
"quoted": 123,
"transcribed": 123,
"queued": 123,
"found_only": 123,
"cant_fetch": 123
},
"quotes": 123,
"named": {
"conversations": 123,
"quoted": 123
}
}
],
"totals": {
"conversations": 123,
"standing": {
"quoted": 123,
"transcribed": 123,
"queued": 123,
"found_only": 123,
"cant_fetch": 123
},
"quotes": 123,
"shows": 123,
"first": "2023-12-25",
"last": "2023-12-25",
"undated": 123,
"maybes": 123,
"named": {
"conversations": 123,
"quoted": 123
}
}
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}People
A person's conversations counted by month, with where they stand
GET
/
people
/
{id}
/
timeline
A person's conversations counted by month, with where they stand
curl --request GET \
--url https://api.poddata.ai/v1/people/{id}/timeline \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poddata.ai/v1/people/{id}/timeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poddata.ai/v1/people/{id}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/people/{id}/timeline",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/people/{id}/timeline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.poddata.ai/v1/people/{id}/timeline")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/people/{id}/timeline")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"person": "<string>",
"by": "week",
"data": [
{
"period": "<string>",
"start": "2023-12-25",
"conversations": 123,
"standing": {
"quoted": 123,
"transcribed": 123,
"queued": 123,
"found_only": 123,
"cant_fetch": 123
},
"quotes": 123,
"named": {
"conversations": 123,
"quoted": 123
}
}
],
"totals": {
"conversations": 123,
"standing": {
"quoted": 123,
"transcribed": 123,
"queued": 123,
"found_only": 123,
"cant_fetch": 123
},
"quotes": 123,
"shows": 123,
"first": "2023-12-25",
"last": "2023-12-25",
"undated": 123,
"maybes": 123,
"named": {
"conversations": 123,
"quoted": 123
}
}
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}